commit: 9822615334e3f0ba555a0c4c9185537ff833001f
Author: Tiziano Müller <dev-zero <AT> gentoo <DOT> org>
AuthorDate: Mon Oct 10 12:02:26 2016 +0000
Commit: Tiziano Müller <dev-zero <AT> gentoo <DOT> org>
CommitDate: Mon Oct 10 12:02:26 2016 +0000
URL: https://gitweb.gentoo.org/dev/dev-zero.git/commit/?id=98226153
dev-python/pyjwt: version bump
dev-python/pyjwt/Manifest | 1 +
dev-python/pyjwt/pyjwt-1.4.2.ebuild | 55 +++++++++++++++++++++++++++++++++++++
2 files changed, 56 insertions(+)
diff --git a/dev-python/pyjwt/Manifest b/dev-python/pyjwt/Manifest
new file mode 100644
index 0000000..a0d04d3
--- /dev/null
+++ b/dev-python/pyjwt/Manifest
@@ -0,0 +1 @@
+DIST PyJWT-1.4.2.tar.gz 30486 SHA256
87a831b7a3bfa8351511961469ed0462a769724d4da48a501cb8c96d1e17f570 SHA512
b0387d49fd1d06a8a846c2083160f6fd458c927ffac291fa9b4edbb1ce93d6bcc23e0d5528010aa919d67e1a78b0ce830b711802d6af1d20a1ce4e511bf6b007
WHIRLPOOL
3c2b7fb5c2701f7049d8f36974eddf520a6f21697d37e92a68434b36c1b6fc90c5304acb523f9c740bc0e33426b238ecfd6fe1c52859320254cae4b40c203196
diff --git a/dev-python/pyjwt/pyjwt-1.4.2.ebuild
b/dev-python/pyjwt/pyjwt-1.4.2.ebuild
new file mode 100644
index 0000000..e6cef3e
--- /dev/null
+++ b/dev-python/pyjwt/pyjwt-1.4.2.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{4,5} pypy )
+
+inherit distutils-r1 eutils
+
+MY_PN="PyJWT"
+
+DESCRIPTION="JSON Web Token implementation in Python"
+HOMEPAGE="https://github.com/progrium/pyjwt
https://pypi.python.org/pypi/PyJWT/"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_PN}-${PV}.tar.gz"
+
+LICENSE=" MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="test"
+
+RDEPEND=""
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ dev-python/pytest-runner[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/pytest-cov[${PYTHON_USEDEP}]
+ )"
+
+S="${WORKDIR}"/${MY_PN}-${PV}
+
+python_prepare_all() {
+ find . -name '__pycache__' -prune -exec rm -rf {} \; || die "Cleaning
__pycache__ failed"
+ find . -name '*.pyc' -exec rm -f {} \; || die "Cleaing *.pyc failed"
+
+ # drop requirement on explicit py.test version
+ sed -i \
+ -s 's|==2.7.3||' \
+ setup.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ esetup.py test
+}
+
+pkg_postinst() {
+ elog "Available optional features:"
+ optfeature "cryptography" dev-python/cryptography
+ optfeature "flake8" dev-python/flake8
+
+ ewarn "flake8 feature requires 'flake8-import-order' and 'pep8-naming',
which are not in portage yet"
+}